<?php
/** Don't load directly */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( ! function_exists( 'pixwell_register_options_adblock' ) ) {
	/**
	 * @return array
	 */
	function pixwell_register_options_adblock() {

		return array(
			'id'     => 'pixwell_config_section_adblock',
			'title'  => esc_html__( 'AdBlock Detector', 'pixwell' ),
			'desc'   => esc_html__( 'Detecting most of the AdBlock extensions and show a popup to disable the extension.', 'pixwell' ),
			'icon'   => 'el el-minus-sign',
			'fields' => array(
				array(
					'id'       => 'adblock_detector',
					'title'    => esc_html__( 'AdBlock Detector', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the adblock detector.', 'pixwell' ),
					'type'     => 'switch',
					'default'  => 0
				),
				array(
					'id'       => 'adblock_title',
					'title'    => esc_html__( 'Title', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a title for the adblock popup.', 'pixwell' ),
					'type'     => 'text',
					'default'  => esc_html__( 'AdBlock Detected', 'pixwell' ),
				),
				array(
					'id'       => 'adblock_description',
					'title'    => esc_html__( 'Description', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a description for the adblock popup.', 'pixwell' ),
					'default'  => esc_html__( 'Our site is an advertising supported site. Please whitelist to support our site.', 'pixwell' ),
					'type'     => 'textarea',
					'rows'     => 3,
				)
			)
		);
	}
}
