<?php
/* color config */
if ( ! function_exists( 'pixwell_register_options_color' ) ) {
	function pixwell_register_options_color() {

		return array(
			'id'     => 'pixwell_config_section_color',
			'title'  => esc_html__( 'Color', 'pixwell' ),
			'desc'   => esc_html__( 'Manage the website color.', 'pixwell' ),
			'icon'   => 'el el-tint',
			'fields' => array(

				array(
					'id'          => 'global_color',
					'title'       => esc_html__( 'Global Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a global color, This setting apply to all links, menu, category overlays, main page and many contrasting elements.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'global_color_dark',
					'title'       => esc_html__( 'Dark Mode - Global Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a global color for dark mode.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'hyperlink_color',
					'title'       => esc_html__( 'Hyperlink Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a color for the hyperlink in the post content.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'hyperlink_color_dark',
					'title'       => esc_html__( 'Dark Mode - Hyperlink Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a color for the hyperlink in the post content for dark mode.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'review_color',
					'title'       => esc_html__( 'Review Icon Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a color for the review icon.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'review_color_dark',
					'title'       => esc_html__( 'Dark Mode - Review Icon Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a color for the review icon for dark mode.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'popup_bg_color',
					'title'       => esc_html__( 'Gallery Popup Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a background for the gallery lightbox.', 'pixwell' ),
					'description' => esc_html__( 'The recommended color is being a dark color.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				)
			)
		);
	}
}
