<?php
/**
 * @return array
 * dark mode settings
 */
if ( ! function_exists( 'pixwell_register_options_dark_mode' ) ) {
	function pixwell_register_options_dark_mode() {

		return array(
			'id'     => 'pixwell_config_section_dark_mode',
			'title'  => esc_html__( 'Dark Mode', 'pixwell' ),
			'desc'   => esc_html__( 'Manage styles for your website in dark mode.', 'pixwell' ),
			'icon'   => 'el el-adjust',
			'fields' => array(
				array(
					'id'    => 'info_dark_mode_logos',
					'type'  => 'info',
					'style' => 'info',
					'desc'  => esc_html__( 'Navigate to "Logo" pane and find "Dark Mode" logo settings to set them for dark mode.', 'pixwell' ),
				),
				array(
					'id'    => 'info_dark_mode_navbar',
					'type'  => 'info',
					'style' => 'info',
					'desc'  => esc_html__( 'Navigate to "Header > Main Navigation" pane and find "Dark Mode" color settings to set them for dark mode.', 'pixwell' ),
				),
				array(
					'id'    => 'info_dark_mode_color',
					'type'  => 'info',
					'style' => 'info',
					'desc'  => esc_html__( 'Navigate to "Color" pane and find "Dark Mode" color settings to set them for dark mode.', 'pixwell' ),
				),
				array(
					'id'       => 'dark_mode',
					'title'    => esc_html__( 'Dark Mode Switcher', 'pixwell' ),
					'subtitle' => esc_html__( 'Show dark mode switcher in the site header.', 'pixwell' ),
					'type'     => 'switch',
					'default'  => 0,
				),
				array(
					'id'       => 'dark_mode_default',
					'title'    => esc_html__( 'Default Dark Mode', 'pixwell' ),
					'subtitle' => esc_html__( 'As default, dark mode will apply to your visitors who visit the website at the first time.', 'pixwell' ),
					'type'     => 'switch',
					'default'  => 0,
				),
				array(
					'id'          => 'dark_mode_cookie',
					'title'       => esc_html__( 'Preventing Dark Mode Flickering', 'pixwell' ),
					'subtitle'    => esc_html__( 'Use cookie to prevent background flickering on page load.', 'pixwell' ),
					'description' => esc_html__( 'The theme use localstorage as the default for dark mode to reduce server usage.', 'pixwell' ),
					'type'        => 'switch',
					'default'     => 0,
				),
			)
		);
	}
}
