<?php
/* footer config */
if ( ! function_exists( 'pixwell_register_options_footer' ) ) {
	function pixwell_register_options_footer() {

		return array(
			'id'     => 'pixwell_config_section_footer',
			'title'  => esc_html__( 'Footer', 'pixwell' ),
			'desc'   => esc_html__( 'Manage your website footer.', 'pixwell' ),
			'icon'   => 'el el-credit-card',
			'fields' => array(
				array(
					'id'    => 'info_footer',
					'type'  => 'info',
					'style' => 'info',
					'desc'  => esc_html__( 'Navigate to "Appearance > Widgets" to add content for your footer.', 'pixwell' ),
				),
				array(
					'id'     => 'section_start_footer_style',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'General', 'pixwell' ),
					'indent' => true,
				),
				array(
					'id'       => 'footer_widget_layout',
					'type'     => 'select',
					'title'    => esc_html__( 'Widget Section Layout', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a layout for the widget section in the footer.', 'pixwell' ),
					'options'  => array(
						'1' => esc_html__( '4 Columns', 'pixwell' ),
						'2' => esc_html__( '4 Columns with 1st Big', 'pixwell' ),
						'3' => esc_html__( '3 Columns + 1 FullWidth Section', 'pixwell' ),
						'4' => esc_html__( '1 FullWidth Section + 3 Columns', 'pixwell' ),
						'5' => esc_html__( '3 Columns', 'pixwell' ),
					),
					'default'  => 1
				),
				array(
					'id'          => 'footer_background',
					'type'        => 'background',
					'transparent' => false,
					'title'       => esc_html__( 'Footer Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'select a background for the footer.', 'pixwell' ),
					'default'     => array()
				),
				array(
					'id'       => 'footer_text_style',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Text Style', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a text style to suit with the footer background.', 'pixwell' ),
					'options'  => pixwell_add_settings_text_style(),
					'default'  => 'dark'
				),
				array(
					'id'       => 'footer_social',
					'type'     => 'switch',
					'title'    => esc_html__( 'Social Icons', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the social icons in the footer.', 'pixwell' ),
					'switch'   => true,
					'default'  => 1
				),
				array(
					'id'       => 'footer_social_color',
					'type'     => 'switch',
					'title'    => esc_html__( 'Colorful Icons', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable color for the social icons.', 'pixwell' ),
					'switch'   => true,
					'default'  => 1
				),
				array(
					'id'     => 'section_end_meta_footer_style',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false,
				),
				array(
					'id'       => 'section_start_footer_menu',
					'type'     => 'section',
					'class'    => 'ruby-section-start',
					'title'    => esc_html__( 'Footer Menu', 'pixwell' ),
					'subtitle' => array(
						esc_html__( 'Footer menu requests a menu. Navigate "Appearance > Menus > Manage Locations" and set a menu to the "Footer Menu" setting.', 'pixwell' ),
						esc_html__( 'Navigate to "Typography > Footer Menu" to set up fonts for your footer menu.', 'pixwell' ),
					),
					'indent'   => true
				),
				array(
					'id'       => 'footer_menu',
					'type'     => 'switch',
					'title'    => esc_html__( 'Footer Menu', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the footer menu.', 'pixwell' ),
					'switch'   => true,
					'default'  => 1
				),
				array(
					'id'     => 'section_end_meta_footer_menu',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false,
				),
				array(
					'id'     => 'section_start_footer_copyright',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Copyright Info', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'footer_copyright',
					'type'     => 'textarea',
					'title'    => esc_html__( 'Copyright Text', 'pixwell' ),
					'subtitle' => esc_html__( 'input your copyright text or HTML.', 'pixwell' ),
					'default'  => '',
				),
				array(
					'id'     => 'section_end_footer_copyright',
					'type'   => 'section',
					'class'  => 'ruby-section-end no-border',
					'indent' => false
				)
			)
		);
	}
}
