<?php
/** header config */
if ( ! function_exists( 'pixwell_register_options_header' ) ) {
	function pixwell_register_options_header() {

		return array(
			'id'    => 'pixwell_config_section_header',
			'title' => esc_html__( 'Header', 'pixwell' ),
			'icon'  => 'el el-th'
		);
	}
}

/** general config */
if ( ! function_exists( 'pixwell_register_options_header_general' ) ) {
	function pixwell_register_options_header_general() {

		return array(
			'id'         => 'pixwell_config_section_header_general',
			'title'      => esc_html__( 'Header Styles', 'pixwell' ),
			'icon'       => 'el el-screen',
			'subsection' => true,
			'desc'       => esc_html__( 'Manage styles for your website header.', 'pixwell' ),
			'fields'     => array(
				array(
					'id'     => 'section_start_header_style',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Header Style', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'          => 'header_style',
					'type'        => 'select',
					'title'       => esc_html__( 'Header Style', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a header style for your website.', 'pixwell' ),
					'description' => esc_html__( 'This is treated as a global setting. Other position settings take priority over this setting.', 'pixwell' ),
					'options'     => array(
						'1' => esc_html__( '-- Style 1 (Minimalist Left Menu) --', 'pixwell' ),
						'2' => esc_html__( 'Style 2 (Minimalist Right Menu)', 'pixwell' ),
						'3' => esc_html__( 'Style 3 (Elegant Centered Style)', 'pixwell' ),
						'4' => esc_html__( 'Style 4 (Full Wide)', 'pixwell' ),
						'5' => esc_html__( 'Style 5 (Classic Magazine)', 'pixwell' ),
						'6' => esc_html__( 'Style 6 (Elegant Centered Dark Style)', 'pixwell' ),
						'7' => esc_html__( 'Style 7 (Vintage Top Navigation)', 'pixwell' ),
						'8' => esc_html__( 'Style 8 (Full Wide & Centered Menu)', 'pixwell' ),
						'9' => esc_html__( 'Style 9 (Classic 2 Magazine)', 'pixwell' ),
					),
					'default'     => 1
				),
				array(
					'id'     => 'section_end_header_style',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_banner_section',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'for Header Style 3, 6, 7', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'header_subscribe_image',
					'type'     => 'media',
					'url'      => true,
					'preview'  => true,
					'title'    => esc_html__( 'Header Banner - Subscribe Thumbnail', 'pixwell' ),
					'subtitle' => esc_html__( 'Upload a subscribe thumbnail (70*50px). This feature will only apply to the Header style 3, 6 and 7.', 'pixwell' ),
				),
				array(
					'id'       => 'header_subscribe_desc',
					'type'     => 'text',
					'url'      => true,
					'preview'  => true,
					'title'    => esc_html__( 'Header Banner - Subscribe Small Description', 'pixwell' ),
					'subtitle' => esc_html__( 'Input subscribe button text. This feature will only apply to the Header style 3,6 and 7.', 'pixwell' ),
					'default'  => esc_html__( 'Get Our Newsletter', 'pixwell' )
				),
				array(
					'id'       => 'header_subscribe_text',
					'type'     => 'text',
					'title'    => esc_html__( 'Header Banner - Subscribe Button Text', 'pixwell' ),
					'subtitle' => esc_html__( 'Input subscribe button text. This feature will only apply to the Header style 3,6 and 7.', 'pixwell' ),
					'default'  => esc_html__( 'SUBSCRIBE', 'pixwell' )
				),
				array(
					'id'       => 'header_subscribe_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Header Banner - Subscribe URL', 'pixwell' ),
					'subtitle' => esc_html__( 'Input your subscribe form URL destination. This feature will only apply to the Header style 3,6 and 7.', 'pixwell' ),
					'default'  => ''
				),
				array(
					'id'     => 'section_end_banner_section',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_header_style_3',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'for Header Style 3', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'          => 'header_banner_color',
					'type'        => 'color',
					'transparent' => false,
					'title'       => esc_html__( 'Header 3 - Banner Text Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for header style 3, Default is based on the site body color.', 'pixwell' ),
					'default'     => '',
				),
				array(
					'id'       => 'header_3_border_width',
					'type'     => 'text',
					'validate' => 'number',
					'title'    => esc_html__( 'Header 3 - Bottom Border Width', 'pixwell' ),
					'subtitle' => esc_html__( 'Select border width (in px) for the bottom border.', 'pixwell' ),
					'default'  => 2,
				),
				array(
					'id'          => 'header_3_border_color',
					'type'        => 'color',
					'transparent' => false,
					'title'       => esc_html__( 'Header 3 - Bottom Border Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select color for the bottom border. Default color is based on the navigation text color.', 'pixwell' ),
					'default'     => '',
				),
				array(
					'id'     => 'section_end_header_style_3',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_header_style_6',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'for Header Style 6', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'header_banner_background',
					'type'     => 'background',
					'title'    => esc_html__( 'Header 6 - Banner Background', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a dark background color for header style 6. Default is solid color: #111', 'pixwell' ),
					'default'  => array()
				),
				array(
					'id'     => 'section_end_header_style_6',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_header_style_9',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'for Header Style 9', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'          => 'header_style9_banner_bg',
					'type'        => 'background',
					'transparent' => false,
					'title'       => esc_html__( 'Header 9 - Banner Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a banner background color for header style 9. Default is sold color: #fafafa', 'pixwell' ),
					'default'     => '',
				),
				array(
					'id'     => 'section_end_header_style_9',
					'type'   => 'section',
					'class'  => 'ruby-section-end no-border',
					'indent' => false
				),
			)
		);
	}
}

/** top bar config */
if ( ! function_exists( 'pixwell_register_options_topbar' ) ) {
	function pixwell_register_options_topbar() {

		return array(
			'id'         => 'pixwell_config_section_topbar',
			'icon'       => 'el el-lines',
			'subsection' => true,
			'title'      => esc_html__( 'Top Bar', 'pixwell' ),
			'desc'       => esc_html__( 'Manage styles, layout and more for the top bar.', 'pixwell' ),
			'fields'     => array(
				array(
					'id'    => 'info_topbar_menu',
					'type'  => 'info',
					'style' => 'warning',
					'desc'  => esc_html__( 'The section requests a menu. Navigate "Appearance > Menus > Manage Locations" and set a menu to the "Top Bar Menu" setting.', 'pixwell' ),
				),
				array(
					'id'    => 'info_topbar_type',
					'type'  => 'info',
					'style' => 'info',
					'desc'  => esc_html__( 'Navigate to "Typography > Top Bar" to set up fonts for the top bar.', 'pixwell' ),
				),
				array(
					'id'     => 'section_start_topbar',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'General', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'topbar',
					'title'    => esc_html__( 'Top Bar', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the site top bar.', 'pixwell' ),
					'type'     => 'switch',
					'default'  => 0
				),
				array(
					'id'     => 'section_end_topbar',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_topbar_style',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Styles', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'topbar_width',
					'type'     => 'select',
					'title'    => esc_html__( 'Width Style', 'pixwell' ),
					'subtitle' => esc_html__( 'Max width for the top bar.', 'pixwell' ),
					'options'  => array(
						'0' => esc_html__( 'Has Wrapper', 'pixwell' ),
						'1' => esc_html__( 'FullWidth', 'pixwell' ),
					),
					'default'  => 0
				),
				array(
					'id'       => 'topbar_height',
					'type'     => 'text',
					'validate' => 'number',
					'class'    => 'small-text',
					'title'    => esc_html__( 'Top Bar Height', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a height value for the top bar.', 'pixwell' ),
					'default'  => ''
				),
				array(
					'id'          => 'topbar_gradient',
					'type'        => 'color_gradient',
					'title'       => esc_html__( 'Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a background color for the top bar.', 'pixwell' ),
					'description' => esc_html__( 'Support gradient style. leave blank the setting "To" for the mono background.', 'pixwell' ),
					'validate'    => 'color',
					'transparent' => false,
					'default'     => array(
						'from' => '',
						'to'   => '',
					),
				),
				array(
					'id'       => 'topbar_text_style',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Text Style', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a text color style to suit with the top bar background.', 'pixwell' ),
					'options'  => pixwell_add_settings_text_style(),
					'default'  => 'light'
				),
				array(
					'id'     => 'section_end_topbar_style',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_topbar_elements',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Information', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'topbar_text',
					'title'    => esc_html__( 'Your Text Info', 'pixwell' ),
					'subtitle' => esc_html__( 'input your text (allow HTML), Leave blank if you want to remove it.', 'pixwell' ),
					'type'     => 'text',
					'default'  => ''
				),
				array(
					'id'       => 'topbar_phone',
					'title'    => esc_html__( 'Phone Number Info', 'pixwell' ),
					'subtitle' => esc_html__( 'input your company phone, Leave blank if you want to remove it.', 'pixwell' ),
					'type'     => 'text',
					'default'  => ''
				),
				array(
					'id'       => 'topbar_email',
					'title'    => esc_html__( 'Email Info', 'pixwell' ),
					'subtitle' => esc_html__( 'input your email info, Leave blank if you want to remove it.', 'pixwell' ),
					'type'     => 'text',
					'default'  => ''
				),
				array(
					'id'       => 'topbar_link_action',
					'title'    => esc_html__( 'Email Clickable', 'pixwell' ),
					'subtitle' => esc_html__( 'Visitor can click on the email info.', 'pixwell' ),
					'type'     => 'switch',
					'default'  => 0
				),
				array(
					'id'       => 'topbar_social',
					'title'    => esc_html__( 'Social Icons', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable social icons at the top bar.', 'pixwell' ),
					'type'     => 'switch',
					'default'  => 0
				),
				array(
					'id'     => 'section_end_topbar_element',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_topbar_line',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Top Line', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'topbar_line',
					'title'    => esc_html__( 'Top Line', 'pixwell' ),
					'subtitle' => esc_html__( 'Show a color line at the top of the site.', 'pixwell' ),
					'type'     => 'switch',
					'default'  => 0
				),
				array(
					'id'            => 'topbar_line_height',
					'type'          => 'slider',
					'title'         => esc_html__( 'Height', 'pixwell' ),
					'subtitle'      => esc_html__( 'Select a height value for the top line.', 'pixwell' ),
					'default'       => 2,
					'min'           => 1,
					'step'          => 1,
					'max'           => 10,
					'display_value' => 'label'
				),
				array(
					'id'          => 'topbar_line_gradient',
					'type'        => 'color_gradient',
					'title'       => esc_html__( 'Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a background color for the top line.', 'pixwell' ),
					'validate'    => 'color',
					'transparent' => false,
					'default'     => array(
						'from' => '',
						'to'   => '',
					),
				),
				array(
					'id'     => 'section_end_topbar_line',
					'type'   => 'section',
					'class'  => 'ruby-section-end no-border',
					'indent' => false
				),
			)
		);
	}
}

if ( ! function_exists( 'pixwell_register_options_main_menu' ) ) {
	/**
	 * @return array
	 */
	function pixwell_register_options_main_menu() {

		return array(
			'id'         => 'pixwell_config_section_main_menu',
			'title'      => esc_html__( 'Main Navigation', 'pixwell' ),
			'desc'       => esc_html__( 'Manage styles, layout and more the main menu.', 'pixwell' ),
			'icon'       => 'el el-minus',
			'subsection' => true,
			'fields'     => array(
				array(
					'id'    => 'menu_font_info',
					'type'  => 'info',
					'style' => 'info',
					'desc'  => esc_html__( 'Navigate to "Typography > Header Menu" to set up fonts for your menu.', 'pixwell' ),
				),
				array(
					'id'     => 'section_start_main_navigation',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'General', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'navbar_height',
					'type'     => 'text',
					'validate' => 'number',
					'class'    => 'small-text',
					'title'    => esc_html__( 'Height of Menu Bar', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a custom height value for the main menu bar.', 'pixwell' ),
					'desc'     => esc_html__( 'The default value is 60px', 'pixwell' ),
					'default'  => ''
				),
				array(
					'id'       => 'navbar_social',
					'type'     => 'switch',
					'title'    => esc_html__( 'Social Icons', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable social icons at the left of the main navigation bar.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'       => 'navbar_cart',
					'type'     => 'switch',
					'title'    => esc_html__( 'Mini Cart', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the mini cart.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'       => 'navbar_search',
					'type'     => 'switch',
					'title'    => esc_html__( 'Search Icon', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the search icon.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'       => 'navbar_search_ajax',
					'type'     => 'switch',
					'title'    => esc_html__( 'Live Search Results', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable ajax search for this section.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'       => 'offcanvas_toggle',
					'type'     => 'switch',
					'title'    => esc_html__( 'Left Side Toggle', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the left-side toggle button.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'       => 'offcanvas_toggle_bold',
					'type'     => 'switch',
					'title'    => esc_html__( 'Toggle Bold Style', 'pixwell' ),
					'subtitle' => esc_html__( 'Show toggle button in bold style.', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'     => 'section_end_main_navigation',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_main_navigation_sticky',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Sticky Menu', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'navbar_sticky',
					'type'     => 'switch',
					'title'    => esc_html__( 'Sticky Menu Bar', 'pixwell' ),
					'subtitle' => esc_html__( 'Stick your menu bar when scrolling up and down.', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'       => 'navbar_sticky_smart',
					'type'     => 'switch',
					'title'    => esc_html__( 'Smart Sticky', 'pixwell' ),
					'subtitle' => esc_html__( 'Only stick the menu bar when scrolling up.', 'pixwell' ),
					'default'  => 0
				),

				array(
					'id'       => 'sticky_height',
					'type'     => 'text',
					'validate' => 'number',
					'class'    => 'small-text',
					'title'    => esc_html__( 'Height of Sticky Menu Bar', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a custom height for the main menu bar when sticky.', 'pixwell' ),
					'default'  => ''
				),
				array(
					'id'       => 'navbar_sticky_style',
					'type'     => 'select',
					'title'    => esc_html__( 'Menu Width Style', 'pixwell' ),
					'subtitle' => esc_html__( 'max width of the menu bar when sticky.', 'pixwell' ),
					'options'  => array(
						0 => esc_html__( 'Wrapper', 'pixwell' ),
						1 => esc_html__( 'FullWidth', 'pixwell' ),
					),
					'default'  => 0
				),
				array(
					'id'     => 'section_end_main_navigation_sticky',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_header_navbar',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Menu Styles', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'          => 'navbar_bg',
					'type'        => 'color_gradient',
					'title'       => esc_html__( 'Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a background for the menu bar.', 'pixwell' ),
					'description' => esc_html__( 'Support gradient style. leave blank the setting "To" for the mono background.', 'pixwell' ),
					'validate'    => 'color',
					'transparent' => false,
					'default'     => array(
						'from' => '',
						'to'   => '',
					),
				),
				array(
					'id'          => 'navbar_bg_dark',
					'type'        => 'color_gradient',
					'title'       => esc_html__( 'Dark Mode - Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a background for the menu bar in dark mode.', 'pixwell' ),
					'validate'    => 'color',
					'transparent' => false,
					'default'     => array(
						'from' => '',
						'to'   => '',
					),
				),
				array(
					'id'          => 'navbar_color',
					'title'       => esc_html__( 'Text Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the menu.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'navbar_color_dark',
					'title'       => esc_html__( 'Dark Mode - Text Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the menu in dark mode.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'navbar_color_hover',
					'title'       => esc_html__( 'Hover Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the menu when you mouse over it.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'navbar_color_hover_dark',
					'title'       => esc_html__( 'Dark Mode - Hover Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the menu when you mouse over it in dark mode.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'       => 'navbar_shadow',
					'type'     => 'switch',
					'title'    => esc_html__( 'Menu Shadow', 'pixwell' ),
					'subtitle' => esc_html__( 'Show dark shadow style for the menu bar.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'     => 'section_end_header_navbar',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_header_navbar_sub',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Sub-level Menus Styles', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'          => 'navsub_bg',
					'type'        => 'color_gradient',
					'title'       => esc_html__( 'Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a background for sub-level dropdown menus.', 'pixwell' ),
					'description' => esc_html__( 'Support gradient style. leave blank the setting "To" for the mono background.', 'pixwell' ),
					'validate'    => 'color',
					'transparent' => false,
					'default'     => array(
						'from' => '',
						'to'   => '',
					),
				),
				array(
					'id'          => 'navsub_bg_dark',
					'type'        => 'color_gradient',
					'title'       => esc_html__( 'Dark Mode - Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a background for sub-level dropdown menus in dark mode', 'pixwell' ),
					'description' => esc_html__( 'Support gradient style. leave blank the setting "To" for the mono background.', 'pixwell' ),
					'validate'    => 'color',
					'transparent' => false,
					'default'     => array(
						'from' => '',
						'to'   => '',
					),
				),
				array(
					'id'          => 'navsub_color',
					'title'       => esc_html__( 'Text Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the sub-level menu items.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'navsub_color_dark',
					'title'       => esc_html__( 'Dark Mode - Text Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the sub-level menu items in dark mode.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'navsub_color_hover',
					'title'       => esc_html__( 'Hover Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the sub-level menu items when you mouse over it.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'          => 'navsub_color_hover_dark',
					'title'       => esc_html__( 'Dark Mode - Hover Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the sub-level menu items when you mouse over it in dark mode.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				),
				array(
					'id'       => 'mega_menu_text_style',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Mega Menu - Text Style', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a text color scheme for the mega menus to suit with the background color.', 'pixwell' ),
					'options'  => pixwell_add_settings_text_style(),
					'default'  => 'dark'
				),
				array(
					'id'     => 'section_end_header_navbar_sub',
					'type'   => 'section',
					'class'  => 'ruby-section-end no-border',
					'indent' => false
				)
			)
		);
	}
}

if ( ! function_exists( 'pixwell_register_options_header_mobile' ) ) {
	/**
	 * @return array
	 */
	function pixwell_register_options_header_mobile() {

		return array(
			'id'         => 'pixwell_config_section_header_mobile',
			'title'      => esc_html__( 'Mobile Header', 'pixwell' ),
			'icon'       => 'el el-iphone-home',
			'subsection' => true,
			'desc'       => esc_html__( 'Manage styles and layout for your site header in the mobile devices.', 'pixwell' ),
			'fields'     => array(
				array(
					'id'       => 'mobile_logo_pos',
					'type'     => 'select',
					'title'    => esc_html__( 'Logo Position', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a position of the mobile logo.', 'pixwell' ),
					'options'  => array(
						'center' => esc_html__( 'Center', 'pixwell' ),
						'left'   => esc_html__( 'Left', 'pixwell' ),
					),
					'default'  => 'center'
				),
				array(
					'id'       => 'mobile_nav_height',
					'type'     => 'text',
					'title'    => esc_html__( 'Height of Mobile Header', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a custom height value for the mobile header.', 'pixwell' ),
					'desc'     => esc_html__( 'The default value is 60px', 'pixwell' ),
					'default'  => ''
				),
				array(
					'id'       => 'mobile_search',
					'type'     => 'switch',
					'title'    => esc_html__( 'Search Icon', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the search icon in the mobile header.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'       => 'mobile_bookmark',
					'type'     => 'switch',
					'title'    => esc_html__( 'My Bookmarks Icon', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the bookmarks icon in the mobile header', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'       => 'mobile_cart',
					'type'     => 'switch',
					'title'    => esc_html__( 'Mini Cart', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the mini cart in the mobile header', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'          => 'mobile_nav_bg',
					'type'        => 'color_gradient',
					'title'       => esc_html__( 'Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a background for the mobile header.', 'pixwell' ),
					'validate'    => 'color',
					'transparent' => false,
					'default'     => array(
						'from' => '',
						'to'   => '',
					),
				),
				array(
					'id'          => 'mobile_nav_color',
					'title'       => esc_html__( 'Text Color', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a text color for the mobile header.', 'pixwell' ),
					'type'        => 'color',
					'transparent' => false,
					'validate'    => 'color',
				)
			)
		);
	}
}

if ( ! function_exists( 'pixwell_register_options_header_transparent' ) ) {
	/**
	 * @return array
	 */
	function pixwell_register_options_header_transparent() {

		return array(
			'id'         => 'pixwell_config_section_header_transparent',
			'icon'       => 'el el-lines',
			'subsection' => true,
			'title'      => esc_html__( 'Transparent Header', 'pixwell' ),
			'desc'       => esc_html__( 'Manage styles for the transparent header.', 'pixwell' ),
			'fields'     => array(
				array(
					'id'       => 'transparent_header_style',
					'type'     => 'select',
					'title'    => esc_html__( 'Header Width Style', 'pixwell' ),
					'subtitle' => esc_html__( 'Max width of the transparent header.', 'pixwell' ),
					'options'  => array(
						0 => esc_html__( 'Wrapper', 'pixwell' ),
						1 => esc_html__( 'Full Wide', 'pixwell' ),
					),
					'default'  => 0,
				),
				array(
					'id'       => 'transparent_header_bg',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Background', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a background color with apha for the transparent header.', 'pixwell' ),
				),
				array(
					'id'       => 'transparent_header_bg_dark',
					'type'     => 'color_rgba',
					'title'    => esc_html__( 'Dark Mode -  Background', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a background color with apha for the transparent header in dark mode.', 'pixwell' ),
				),
				array(
					'id'       => 'transparent_disable_border',
					'type'     => 'select',
					'title'    => esc_html__( 'Bottom Border', 'pixwell' ),
					'subtitle' => esc_html__( 'Show a gay border under the transparent header.', 'pixwell' ),
					'options'  => array(
						0 => esc_html__( '-- Enable --', 'pixwell' ),
						1 => esc_html__( 'Disable', 'pixwell' ),
					),
					'default'  => 0,
				),
				array(
					'id'       => 'transparent_header_text_style',
					'type'     => 'image_select',
					'title'    => esc_html__( 'Text Style', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a text color scheme for the transparent header to suit with the behind image.', 'pixwell' ),
					'options'  => pixwell_add_settings_text_style(),
					'default'  => 'light'
				),
			)
		);
	}
}

if ( ! function_exists( 'pixwell_register_options_off_canvas' ) ) {
	/**
	 * @return array
	 */
	function pixwell_register_options_off_canvas() {

		return array(
			'id'         => 'pixwell_config_section_off_canvas',
			'icon'       => 'el el-braille',
			'subsection' => true,
			'title'      => esc_html__( 'Left Side Section', 'pixwell' ),
			'desc'       => esc_html__( 'The section is used for displaying the navigation on the mobile devices.', 'pixwell' ),
			'fields'     => array(
				array(
					'id'    => 'info_left_side_menu',
					'type'  => 'info',
					'style' => 'warning',
					'desc'  => esc_html__( 'The section requests a menu. Navigate "Appearance > Menus > Manage Locations" and set a menu to the "Left Aside Menu" setting.', 'pixwell' ),
				),
				array(
					'id'     => 'section_start_header_offcanvas',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Styles', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'off_canvas_style',
					'type'     => 'select',
					'title'    => esc_html__( 'Color Scheme', 'pixwell' ),
					'subtitle' => esc_html__( 'Dark or light style for this section.', 'pixwell' ),
					'options'  => array(
						'dark'  => esc_html__( 'Dark', 'pixwell' ),
						'light' => esc_html__( 'Light', 'pixwell' )
					),
					'default'  => 'dark'
				),
				array(
					'id'          => 'off_canvas_bg',
					'type'        => 'color',
					'transparent' => false,
					'title'       => esc_html__( 'Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select custom background color for this section.', 'pixwell' ),
					'default'     => ''
				),
				array(
					'id'     => 'section_end_header_offcanvas',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'       => 'section_start_offcanvas_top',
					'type'     => 'section',
					'class'    => 'ruby-section-start',
					'title'    => esc_html__( 'Top Area', 'pixwell' ),
					'subtitle' => esc_html__( 'To change logos for the section. Please navigate to Logo > Left Side Section Logos.', 'pixwell' ),
					'indent'   => true
				),
				array(
					'id'          => 'off_canvas_header',
					'type'        => 'switch',
					'title'       => esc_html__( 'Top Area', 'pixwell' ),
					'subtitle'    => esc_html__( 'Enable or disable the top area.', 'pixwell' ),
					'description' => esc_html__( 'The settings below request this setting is enabled.', 'pixwell' ),
					'default'     => 1
				),
				array(
					'id'          => 'off_canvas_header_bg_color',
					'type'        => 'color',
					'transparent' => false,
					'title'       => esc_html__( 'Background', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a custom background for the top area.', 'pixwell' ),
					'default'     => ''
				),
				array(
					'id'          => 'off_canvas_header_bg',
					'type'        => 'media',
					'url'         => true,
					'preview'     => true,
					'title'       => esc_html__( 'Background Image', 'pixwell' ),
					'subtitle'    => esc_html__( 'Upload a background image for the top area.', 'pixwell' ),
					'description' => esc_html__( 'We recommended a dark image and the dimension is 600x400px', 'pixwell' ),
				),
				array(
					'id'       => 'off_canvas_header_overlay',
					'type'     => 'switch',
					'title'    => esc_html__( 'Dark Overlay', 'pixwell' ),
					'subtitle' => esc_html__( 'Show dark overlay on the background image.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'       => 'off_canvas_header_style',
					'type'     => 'select',
					'title'    => esc_html__( 'Text Color Scheme', 'pixwell' ),
					'subtitle' => esc_html__( 'Select a text color style for this section.', 'pixwell' ),
					'options'  => array(
						'dark'  => esc_html__( 'Dark Text', 'pixwell' ),
						'light' => esc_html__( 'Light Text', 'pixwell' )
					),
					'default'  => 'light'
				),
				array(
					'id'     => 'section_end_offcanvas_top',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'       => 'section_start_offcanvas_top_element',
					'type'     => 'section',
					'class'    => 'ruby-section-start',
					'title'    => esc_html__( 'Elements', 'pixwell' ),
					'subtitle' => esc_html__( 'Manage elements to show in the top area of the left side section.', 'pixwell' ),
					'indent'   => true
				),
				array(
					'id'       => 'off_canvas_social',
					'type'     => 'switch',
					'title'    => esc_html__( 'Social Bar', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the social icons.', 'pixwell' ),
					'default'  => 1
				),

				array(
					'id'     => 'section_end_header_offcanvas_element',
					'type'   => 'section',
					'class'  => 'ruby-section-end no-border',
					'indent' => false
				),
				array(
					'id'       => 'off_canvas_bookmark',
					'type'     => 'switch',
					'title'    => esc_html__( 'Bookmark Icon', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the bookmark icon.', 'pixwell' ),
					'default'  => 1
				),
				array(
					'id'       => 'off_canvas_cart',
					'type'     => 'switch',
					'title'    => esc_html__( 'Mini Cart', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable mini cart.', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'       => 'off_canvas_subscribe',
					'type'     => 'switch',
					'title'    => esc_html__( 'Subscribe Icon', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the subscribe icon.', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'       => 'off_canvas_subscribe_text',
					'type'     => 'text',
					'title'    => esc_html__( 'Subscribe Text', 'pixwell' ),
					'subtitle' => esc_html__( 'Input subscribe button text.', 'pixwell' ),
					'default'  => ''
				),
				array(
					'id'       => 'off_canvas_subscribe_url',
					'type'     => 'text',
					'title'    => esc_html__( 'Subscribe URL', 'pixwell' ),
					'subtitle' => esc_html__( 'Input your subscribe form URL destination.', 'pixwell' ),
					'default'  => ''
				),

			)
		);
	}
}

if ( ! function_exists( 'pixwell_register_options_header_trending' ) ) {
	/**
	 * @return array
	 */
	function pixwell_register_options_header_trending() {

		return array(
			'id'         => 'pixwell_config_section_trending',
			'icon'       => 'el el-bell',
			'subsection' => true,
			'title'      => esc_html__( 'Trending Dropdown', 'pixwell' ),
			'desc'       => esc_html__( 'The dropdown section for displaying trending posts in the site header.', 'pixwell' ),
			'fields'     => array(
				array(
					'id'    => 'info_trending_section',
					'type'  => 'info',
					'style' => 'warning',
					'desc'  => esc_html__( 'This feature requests the "Post View Counter" plugin to run.', 'pixwell' ),
				),
				array(
					'id'       => 'header_trend',
					'type'     => 'switch',
					'title'    => esc_html__( 'Trending Section', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the trending section at the header.', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'       => 'trend_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Trending Header', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a title for this section.', 'pixwell' ),
					'default'  => esc_html__( 'Trending Now', 'pixwell' )
				),
				array(
					'id'       => 'trend_filter',
					'type'     => 'select',
					'title'    => esc_html__( 'Trending Filter', 'pixwell' ),
					'subtitle' => esc_html__( 'Select posts to display.', 'pixwell' ),
					'options'  => array(
						'0'         => esc_html__( 'All Time', 'pixwell' ),
						'popular_m' => esc_html__( 'Last 30 Days', 'pixwell' ),
						'popular_w' => esc_html__( 'Last 7 Days', 'pixwell' ),
					),
					'default'  => 0
				),
			)
		);
	}
}