<?php
/** sidebar config */
if ( ! function_exists( 'pixwell_register_options_sidebar' ) ) {
	function pixwell_register_options_sidebar() {

		return array(
			'id'     => 'pixwell_theme_ops_section_sidebar',
			'title'  => esc_html__( 'Sidebars', 'pixwell' ),
			'desc'   => esc_html__( 'Manage your website sidebars. The settings below will apply to whole the website.', 'pixwell' ),
			'icon'   => 'el el-align-right',
			'fields' => array(
				array(
					'id'    => 'info_sidebar',
					'type'  => 'info',
					'style' => 'info',
					'desc'  => esc_html__( 'Navigate to "Appearance > Widgets" to add content for your sidebars.', 'pixwell' ),
				),
				array(
					'id'       => 'pixwell_multi_sidebar',
					'type'     => 'multi_text',
					'class'    => 'medium-text',
					'title'    => esc_html__( 'Create New Sidebars', 'pixwell' ),
					'subtitle' => esc_html__( 'create or delete an exist sidebar.', 'pixwell' ),
					'desc'     => esc_html__( 'click on the "Create Sidebar" button, then input a name/ID (without special charsets and spacing) into this field to create a new sidebar.', 'pixwell' ),
					'add_text' => esc_html__( 'Click and Input ID to Create a Sidebar', 'pixwell' ),
					'default'  => array()
				),
				array(
					'id'       => 'sidebar_sticky',
					'type'     => 'switch',
					'title'    => esc_html__( 'Sticky Sidebar', 'pixwell' ),
					'subtitle' => esc_html__( 'Making sidebars permanently visible when scrolling up and down.', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'          => 'site_sidebar_pos',
					'type'        => 'image_select',
					'title'       => esc_html__( 'Sidebar Position', 'pixwell' ),
					'subtitle'    => esc_html__( 'Select a default sidebar position for your site.', 'pixwell' ),
					'description' => esc_html__( 'This is treated as a global setting. Other position settings take priority over this setting.', 'pixwell' ),
					'options'     => pixwell_add_settings_sidebar_pos( false ),
					'default'     => 'right'
				),
				array(
					'id'       => 'widget_block',
					'type'     => 'switch',
					'title'    => esc_html__( 'Disable Block Style Editor', 'pixwell' ),
					'subtitle' => esc_html__( 'Disable block style editor in the widget page.', 'pixwell' ),
					'default'  => 1
				),
			)
		);
	}
}