<?php
/** newsletter */
if ( ! function_exists( 'pixwell_register_options_newsletter' ) ) {
	function pixwell_register_options_newsletter() {
		return array(
			'id'     => 'pixwell_theme_ops_section_subscribe',
			'title'  => esc_html__( 'Popup Newsletter', 'pixwell' ),
			'desc'   => esc_html__( 'Grow your business width Ruby newsletter.', 'pixwell' ),
			'icon'   => 'el el-envelope',
			'fields' => array(
				array(
					'id'    => 'newsletter_download',
					'type'  => 'info',
					'style' => 'success',
					'desc'  => 'Ruby Subscribed Emails: <a class="download-btn" href="' . admin_url( 'tools.php?download=subscribed-emails.csv' ) . '">Download Data Here</a>',
				),
				array(
					'id'     => 'section_start_newsletter_general',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'General', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'newsletter_popup',
					'type'     => 'switch',
					'title'    => esc_html__( 'Ruby Newsletter Popup', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the newsletter popup', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'       => 'newsletter_popup_expired',
					'type'     => 'select',
					'title'    => esc_html__( 'Popup Expired', 'pixwell' ),
					'subtitle' => esc_html__( 'The period to redisplay the popup when visitors closed it.', 'pixwell' ),
					'options'  => array(
						'1'  => esc_html__( '1 Day', 'pixwell' ),
						'2'  => esc_html__( '2 Days', 'pixwell' ),
						'3'  => esc_html__( '3 Days', 'pixwell' ),
						'7'  => esc_html__( '1 Week', 'pixwell' ),
						'14' => esc_html__( '2 Weeks', 'pixwell' ),
						'21' => esc_html__( '3 Weeks', 'pixwell' ),
						'30' => esc_html__( '1 Month', 'pixwell' )
					),
					'default'  => 1
				),
				array(
					'id'       => 'newsletter_popup_delay',
					'type'     => 'text',
					'title'    => esc_html__( 'Delay Time', 'pixwell' ),
					'subtitle' => esc_html__( 'Input the delay time (ms) to show the popup after the site loaded.', 'pixwell' ),
					'default'  => '1000'
				),
				array(
					'id'     => 'section_end_newsletter_general',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),


				array(
					'id'     => 'section_start_newsletter_popup',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Content', 'pixwell' ),
					'indent' => true
				),

				array(
					'id'       => 'newsletter_popup_title',
					'type'     => 'text',
					'title'    => esc_html__( 'Title', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a heading', 'pixwell' ),
					'default'  => esc_html__( 'Subscribe Newsletter', 'pixwell' ),
				),
				array(
					'id'       => 'newsletter_popup_description',
					'type'     => 'textarea',
					'title'    => esc_html__( 'Description', 'pixwell' ),
					'subtitle' => esc_html__( 'Input a description', 'pixwell' ),
					'default'  => esc_html__( 'Get our latest news straight into your inbox.', 'pixwell' ),
				),
				array(
					'id'       => 'newsletter_popup_privacy',
					'type'     => 'text',
					'title'    => esc_html__( 'Privacy Text', 'pixwell' ),
					'subtitle' => esc_html__( 'Input privacy text', 'pixwell' ),
					'default'  => ''
				),
				array(
					'id'          => 'newsletter_popup_cover',
					'type'        => 'media',
					'url'         => true,
					'preview'     => true,
					'title'       => esc_html__( 'Cover Image', 'pixwell' ),
					'subtitle'    => esc_html__( 'Upload a cover image', 'pixwell' ),
				),
				array(
					'id'       => 'newsletter_popup_submit',
					'type'     => 'text',
					'title'    => esc_html__( 'Submit Text', 'pixwell' ),
					'subtitle' => esc_html__( 'Input submit text', 'pixwell' ),
					'default'  => esc_html__( 'Sign Up', 'pixwell' ),
				),
				array(
					'id'       => 'newsletter_placeholder',
					'type'     => 'text',
					'title'    => esc_html__( 'Email Placeholder Text', 'pixwell' ),
					'subtitle' => esc_html__( 'Input email placeholder text.', 'pixwell' ),
					'default'  => esc_html__( 'Input your e-mail', 'pixwell' ),
				),
				array(
					'id'     => 'section_end_newsletter_popup',
					'type'   => 'section',
					'class'  => 'ruby-section-end',
					'indent' => false
				),
				array(
					'id'     => 'section_start_newsletter_response_text',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Notice Info', 'pixwell' ),
					'indent' => true
				),
				array(
					'id'       => 'newsletter_privacy_error',
					'type'     => 'text',
					'title'    => esc_html__( 'Privacy Error', 'pixwell' ),
					'subtitle' => esc_html__( 'Input privacy error text.', 'pixwell' ),
					'default'  => esc_html__( 'Please accept the terms of our newsletter.', 'pixwell' ),
				),
				array(
					'id'       => 'newsletter_email_error',
					'type'     => 'text',
					'title'    => esc_html__( 'Email Error', 'pixwell' ),
					'subtitle' => esc_html__( 'Input email error text', 'pixwell' ),
					'default'  => esc_html__( 'Please input your email address.', 'pixwell' ),
				),
				array(
					'id'       => 'newsletter_email_exists',
					'type'     => 'text',
					'title'    => esc_html__( 'Email Exists', 'pixwell' ),
					'subtitle' => esc_html__( 'Input email exists text.', 'pixwell' ),
					'default'  => esc_html__( 'That email is already subscribed.', 'pixwell' ),
				),
				array(
					'id'       => 'newsletter_success',
					'type'     => 'text',
					'title'    => esc_html__( 'Success', 'pixwell' ),
					'subtitle' => esc_html__( 'Input success text.', 'pixwell' ),
					'default'  => esc_html__( 'Your address has been added.', 'pixwell' ),
				),
				array(
					'id'     => 'section_end_newsletter_response_text',
					'type'   => 'section',
					'class'  => 'ruby-section-end no-border',
					'indent' => false
				)
			)
		);
	}
}

/** read it later */
if ( ! function_exists( 'pixwell_register_options_bookmark' ) ) {
	function pixwell_register_options_bookmark() {
		return array(
			'id'     => 'pixwell_theme_ops_section_bookmark',
			'title'  => esc_html__( 'Read it Later', 'pixwell' ),
			'desc'   => esc_html__( 'Select options for the read it later feature.', 'pixwell' ),
			'icon'   => 'el el-heart',
			'fields' => array(
				array(
					'id'    => 'bookmark_notice',
					'type'  => 'info',
					'style' => 'warning',
					'desc'  => esc_html__( 'This feature requests a page which is created with the "Read it Later" template. Then assign it to the "Read it Later Page" setting below.', 'pixwell' ),
				),
				array(
					'id'       => 'header_bookmark',
					'type'     => 'switch',
					'title'    => esc_html__( 'Read it Later', 'pixwell' ),
					'subtitle' => esc_html__( 'Enable or disable the read it later button in the header.', 'pixwell' ),
					'default'  => 0
				),
				array(
					'id'       => 'header_bookmark_url',
					'type'     => 'select',
					'data'     => 'page',
					'title'    => esc_html__( 'Read it Later Page', 'pixwell' ),
					'subtitle' => esc_html__( 'Assign a page has created with the Read it Later template.', 'pixwell' ),
					'default'  => ''
				)
			)
		);
	}
}



